/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.jca;

import org.activemq.spring.TestingConsumer;

import javax.jms.Message;
import javax.jms.MessageListener;

/**
 * @version $Revision: 1.1.1.1 $
 */
public class TestBean extends TestingConsumer {
    private static int globalCounter = 0;

    public TestBean() {
        System.out.println("Created instance of consumer bean: " + this);
    }

    public void onMessage(Message message) {
        System.out.println("TestBean: " + getNextValue() + " received message: " + message);
        super.onMessage(message);
    }

    protected static synchronized int getNextValue() {
        return ++globalCounter;
    }

}
